Freight record and active shipments
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"latest_freight_shipment": {
"id": 123,
"provider": "freightview",
"providerShipmentId": "<string>",
"shipstationShipmentId": 123,
"fulfillmentOrderId": 123,
"appIntegrationAccountId": 123,
"providerStatus": "<string>",
"selectedQuoteId": "<string>",
"pickupConfirmation": "<string>",
"bolNumber": "<string>",
"proNumber": "<string>",
"carrierScac": "<string>",
"trackingNumber": "<string>",
"serviceCode": "<string>",
"shipmentCost": 123,
"pickupDate": "2023-12-25",
"pickupWindowStart": "<string>",
"pickupWindowEnd": "<string>",
"errorMessage": "<string>",
"bookedAt": "2023-11-07T05:31:56Z",
"pollingStatus": "<string>",
"pollingStartedAt": "2023-11-07T05:31:56Z",
"pollingCompletedAt": "2023-11-07T05:31:56Z",
"originAddress": {},
"destinationAddress": {},
"freightItems": [
{}
],
"originLocationType": "business_dock",
"destinationLocationType": "business_dock",
"destinationAccessorials": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"quotes": [
{
"id": 123,
"providerQuoteId": "<string>",
"carrier": "<string>",
"carrierScac": "<string>",
"service": "<string>",
"price": 123,
"transitDaysMin": 123,
"transitDaysMax": 123,
"isSelected": true,
"isAppointment": true,
"expiresAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"errors": [
"<string>"
]
}
],
"documents": [
{
"id": 123,
"documentType": "<string>",
"fileName": "<string>",
"fileUrl": "<string>",
"providerUrl": "<string>",
"mimeType": "<string>"
}
]
},
"active_shipments": [
{
"id": 123,
"lum_status": "<string>",
"carrier_code": "<string>",
"service_code": "<string>",
"tracking_number": "<string>",
"bol_number": "<string>",
"pro_number": "<string>",
"shipment_cost": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "<string>"
}Fulfillment Orders
Freight record and active shipments
The fulfillment order’s latest freight record — an open quote session to book from before quoting
again (bookedAt is null, quotes included), or the booking — plus the order’s active Luminous
shipments. Check this before POST /fulfillment-orders/{id}/freight/quotes, since every quote call
creates another Freightview shipment.
GET
/
fulfillment-orders
/
{fulfillmentOrderId}
/
freight
/
shipments
Freight record and active shipments
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{fulfillmentOrderId}/freight/shipments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"latest_freight_shipment": {
"id": 123,
"provider": "freightview",
"providerShipmentId": "<string>",
"shipstationShipmentId": 123,
"fulfillmentOrderId": 123,
"appIntegrationAccountId": 123,
"providerStatus": "<string>",
"selectedQuoteId": "<string>",
"pickupConfirmation": "<string>",
"bolNumber": "<string>",
"proNumber": "<string>",
"carrierScac": "<string>",
"trackingNumber": "<string>",
"serviceCode": "<string>",
"shipmentCost": 123,
"pickupDate": "2023-12-25",
"pickupWindowStart": "<string>",
"pickupWindowEnd": "<string>",
"errorMessage": "<string>",
"bookedAt": "2023-11-07T05:31:56Z",
"pollingStatus": "<string>",
"pollingStartedAt": "2023-11-07T05:31:56Z",
"pollingCompletedAt": "2023-11-07T05:31:56Z",
"originAddress": {},
"destinationAddress": {},
"freightItems": [
{}
],
"originLocationType": "business_dock",
"destinationLocationType": "business_dock",
"destinationAccessorials": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"quotes": [
{
"id": 123,
"providerQuoteId": "<string>",
"carrier": "<string>",
"carrierScac": "<string>",
"service": "<string>",
"price": 123,
"transitDaysMin": 123,
"transitDaysMax": 123,
"isSelected": true,
"isAppointment": true,
"expiresAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"errors": [
"<string>"
]
}
],
"documents": [
{
"id": 123,
"documentType": "<string>",
"fileName": "<string>",
"fileUrl": "<string>",
"providerUrl": "<string>",
"mimeType": "<string>"
}
]
},
"active_shipments": [
{
"id": 123,
"lum_status": "<string>",
"carrier_code": "<string>",
"service_code": "<string>",
"tracking_number": "<string>",
"bol_number": "<string>",
"pro_number": "<string>",
"shipment_cost": 123,
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"message": "<string>"
}